// ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
// ProxFunctions.js for sidki's Proxomitron config
// Last edited: 2004-04-07
// ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||

// |||||||||||||||||||||||||||||||| PAGE START ||||||||||||||||||||||||||||||||

// ====================================
// Set this flag until the until the very last line of this script - Paul Rupe
// ====================================

var PrxLoading = 1;

// ====================================
// Force offscreen buffering to speed up rendering, default is auto - hpguru
// ====================================

window.offscreenBuffering=true;

// ====================================
// Page Load Timer Part I - hpguru
// ====================================

var PrxTimer;
if (PrxTimer)
{
  var PrxST = new Date();
  function PrxEndT()
  {
    var PrxET = new Date();
    var PrxloadT = ('Load Time: ' + (PrxET.getTime() - PrxST.getTime())/1000 + ' seconds');
    window.defaultStatus = PrxloadT
  }
}

// ====================================
// Detect Opera, Mozilla and IE - hpguru
// ====================================

var PrxIsIE = (document.all && document.getElementById && !window.opera)? true : false;
var PrxIsMozilla = (!document.all && document.getElementById && !window.opera)? true : false;
var PrxIsOpera = (window.opera)? true : false;

// ====================================
// Returns 1 if the given target refers to an existing frame or window, 0
// otherwise. - Paul Rupe
// ====================================

function PrxCheckLinkTarget(t)
{
  var i, f;
  // Those are ok.
  if (!t || t == '_top' || t == '_parent' || t == '_self' || t == '_search' || t == '_main' || t == '_content')
    return 1;
  // Always reject _blank, etc (added for speed reasons) .
  if (t == '_blank' || t == '_new' || t == 'blank' || t == 'new')
    return 0;
  // Names starting with prx_ are ok (eg. bookmarklets opening in a new window)
  if (t.indexOf('prx_') == 0)
    return 1;
  // If the target matches an existing frame, ok.
  for (i = 0, f = window.parent.frames; i < f.length; i++)
    if (t == f[i].name)
      return 1;
  // Otherwise, no soup for you.
  return 0;
}

// ====================================
// Returns the domain portion of the given URL.  Probably not exactly right,
// but close enough. - Paul Rupe
// ====================================

function PrxGetDomain(url)
{
  var a = url.indexOf('://'), b, c;
  if (a == -1)
    return null;
  url = url.substr(a + 3);
  b = url.indexOf('/');
  if (b != -1)
    url = url.substr(0, b);
  b = url.indexOf('@');
  if (b != -1)
    url = url.substr(b);
  b = url.indexOf(':');
  if (b != -1)
    url = url.substr(0, b);
  for (a = 0, b = -1; ; )
  {
    a = url.indexOf('.', a + 1);
    if (a == -1)
    {
      break;
    }
    c = url.indexOf('.', a + 1);
    if (c == -1)
      break;
    b = a;
  }
  url = url.substr(b + 1);
  return url;
}

// ====================================
// Create Popup Blocked Notification - Michael Brschgens, JD5000
// ====================================

var PrxPopupNotify;
if (PrxPopupNotify)
{

  // The main notification function, called by the Anti-Popup Code
  function PrxPopupURL(address)
  {

    // Define the code that is appended on request - called by PrxAppend()
    function PrxPopupAppend()
    {

      // Define different sound code, depending on the browser
      if (PrxIsIE)
      {
        var ProxSound = document.createElement("bgsound");
        ProxSound.setAttribute("src","http://local.ptron/sidki/PopUp.wav");
      }
      else if (PrxIsMozilla)
      {
        var ProxSound = document.createElement("embed");
        ProxSound.setAttribute("src","http://local.ptron/sidki/PopUp.wav");
        ProxSound.setAttribute("hidden","true");
      }
      else if (PrxIsOpera)
      {
        var ProxSound = document.createElement("iframe");
        ProxSound.setAttribute("src","http://local.ptron/sidki/sound.html");
        ProxSound.setAttribute("width","0");
        ProxSound.setAttribute("height","0");
        ProxSound.setAttribute("style","border:none");
      }

      // Define the image links.
      var ProxImg = document.createElement("img");
      ProxImg.setAttribute("src", "http://local.ptron/sidki/info.gif");
      ProxImg.setAttribute("width","17");
      ProxImg.setAttribute("height","17");
      ProxImg.setAttribute("border","0");
      ProxImg.setAttribute("alt","PopUp Blocked by Proxomitron: "+address);

      var ProxLink = document.createElement("a");
      ProxLink.setAttribute("href",address);
      ProxLink.setAttribute("target","ProxLink");
      ProxLink.appendChild(ProxImg);

      // Append the links to the page.
      document.getElementById("PrxDisplay").appendChild(ProxLink);
      document.getElementById("PrxDisplay").appendChild(ProxSound);
    }

    // Loop until the page is ready for appending.
    var countX = 0;
    function PrxAppend()
    {
      if (countX < 200)
      {
        if (document.getElementById("PrxDisplay"))
        {
          PrxPopupAppend();
          // Debug message - Opera Only
          // opera.postError('PrxDisplay OK');
        }
        else
        {
          window.setTimeout(PrxAppend, 300);
          countX++;
          // Debug message - Opera Only
          // opera.postError('No PrxDisplay loop'+countX);
        }
      }
    }
    PrxAppend();
  }
}

// ====================================
// Anti-Popup Code Part I - Scott R. Lemmon
// ====================================

var PrxPopup;
if (PrxPopup)
{
  var PrxLC = new Date(0);
  var PrxInst; if (!PrxInst++) PrxRealOpen = window.open;
  function PrxOMUp() {PrxLC = new Date()}
  function PrxNW() {return(this.window)}

  // To reroute showModalDialog/showModelessDialog, the second parameter MUST be
  // tested/converted to string if need be since dialogs can also accept objects
  // whereas open only accepts strings as second parameter
  // a further problem can arise in the third parameter. The dialog calls have
  // a slightly different format, size for instance is passed different and uses
  // a semicolon instead of an equal sign. - TEggHead
  function PrxOpen(url,enam,atr)
  {
    // Add this line to make sure second param is a string - TEggHead
    var nam = (typeof enam == "object")? 'Dialog' : (enam == null)? 'Blank' : enam;

    // allow windows referring to trusted target names - Paul Rupe
    if (nam && PrxCheckLinkTarget(nam)) return(PrxRealOpen(url,nam,atr));

    if (PrxLC)
    {
      var cdt = new Date();
      cdt.setTime(cdt.getTime()-PrxLC.getTime());
      if (!PrxLoading && cdt.getSeconds()<3)
      {
        if (atr) return(PrxRealOpen(url,nam,PrxWOA(atr)));
        else return(PrxRealOpen(url,nam));
      }
    }

    // Grab PopUp URL for Notification Function
    if (PrxPopupNotify) PrxPopupURL(url);

    return(new PrxNW());
  }

  var PrxModAtr;
  function PrxWOA(atr)
  {
    if (!PrxModAtr) return(atr);
    var yatr = (PrxModAtr == 1)? 1 : 0;
    var xatr = "toolbar=" + yatr + ",location=" + yatr + ",statusbar=" + yatr + ",menubar=" + yatr + ",scrollbars=1,resizable=1,left=0,top=50";
    if (atr)
    {
      var hm;
      hm = atr.match(/height\=[0-9]+/i);
      if (hm) xatr += "," + hm;
      hm = atr.match(/width\=[0-9]+/i);
      if (hm) xatr += "," + hm;
    }
    return(xatr);
  }

  function PrxRST()
  {
    if (document.layers) document.captureEvents(Event.MOUSEUP);
    document.onmouseup = PrxOMUp;
  }
  window.open = PrxOpen;
  submit = PrxOpen;

  // IE Specific Methods - Homeric
  window.showModalDialog = PrxOpen;
  window.showModelessDialog = PrxOpen;
}

// ====================================
// Define the properties as renamed by the "Block: Properties I" filter - sidki
// ====================================

var PrxBrowserInfo;
if (PrxBrowserInfo)
{
  if (navigator.PRXuserAgent)
  {
    navigator.PRXappVersion = unescape(escape(navigator.PRXuserAgent.match(/\/.+\)/)).slice(1));
    navigator.PRXappMinorVersion = navigator.PRXappVersion;

    if (navigator.PRXuserAgent.indexOf("Mozilla/4.0") == 0)
      navigator.PRXappName = "Microsoft Internet Explorer";
    else if (navigator.PRXuserAgent.indexOf("Mozilla/") == 0)
      navigator.PRXappName = "Netscape";
    else if (navigator.PRXuserAgent.indexOf("Opera/") == 0)
      navigator.PRXappName = "Opera";
  }
  navigator.PRXappCodeName = "NOYB";
  navigator.PRXcpuClass = "alpha";
  navigator.PRXlanguage = "en";
  navigator.PRXuserLanguage = "en";
  navigator.PRXbrowserLanguage = "en";
  navigator.PRXsystemLanguage = "en";
  navigator.PRXjavaEnabled = true;
  navigator.PRXcookieEnabled = true;
  navigator.PRXuserProfile;
}

// ====================================
// Disable various Methods - Paul Rupe, sidki
// ====================================

function PrxDummyZero(string){void(null)}

var PrxMethods;
if (PrxMethods)
{
  // Override some window manipulation APIs (which never should have existed
  // in first place).
  window.focus = PrxDummyZero;
  window.blur = PrxDummyZero;
  window.resizeBy = PrxDummyZero;
  window.moveTo = PrxDummyZero;
  window.moveBy = PrxDummyZero;

  PRXresizeTo = PrxDummyZero;
  PRXsetTimeout = PrxDummyZero;
  PRXlocation = PrxDummyZero;
  PRXeval = PrxDummyZero;

  function clipboardData() {return true}
  function createPopup() {return true}
  // function setInterval() {return true}
  // function captureEvents() {return true}

  // Override some window properties as well.
  function status() {return true}
  // function defaultStatus() {return true}
}

// ====================================
// Provide definitions for properties or common functions that get renamed or
// filtered out and cause subsequent errors. - Paul Rupe
// ====================================

var expires;
function geovisit() {return true}
function nedstatbasic() {return true}

// ====================================
// Inject the CSS here to get around the "IE Web Archive (MHT) Save Bug"
// - JD5000
// ====================================

var PrxStyle;
if (PrxStyle)
{
  document.write(
    '\t<LINK rel="stylesheet" type="text/css" href="http://local.ptron/sidki/ProxStyles.css" />'
  )
}

// use a local CSS for selected sites - sidki
var PrxStyleUser;
if (PrxStyleUser)
{
  document.write(
    '\t<LINK rel="stylesheet" type="text/css" href="http://local.ptron/sidki/' + PrxStyleUser + '.css" />' +
    '\t<LINK rel="alternate stylesheet" title="Chocolate" type="text/css" href="http://local.ptron/sidki/chocolate.css" />' +
    '\t<LINK rel="alternate stylesheet" title="Old-Style" type="text/css" href="http://local.ptron/sidki/oldstyle.css" />' +
    '\t<LINK rel="alternate stylesheet" title="Steely-Mod" type="text/css" href="http://local.ptron/sidki/steely-mod.css" />'
  )
}

// ====================================
// Provide a function to print messages dynamically to the footer, called by
// other functions - sidki
// ====================================

function PrxFooter(PrxTitle,PrxMsg)
{
  function PrxWrite()
  {
    var PrxTag = document.createElement("span");
    var PrxText = document.createTextNode("  " + PrxTitle + ": " + PrxMsg);
    PrxTag.appendChild(PrxText);
    document.getElementById("PrxDisplay").appendChild(PrxTag);
    return false;
  }
  function PrxLoop()
  {
    var countX = 0;
    if (countX < 200)
    {
      if (document.getElementById("PrxDisplay"))
        PrxWrite();
      else
      {
        window.setTimeout(PrxLoop, 300);
        countX++;
      }
    }
  }
  PrxLoop()
}

// ====================================
// Show error messages in the footer. IE and Mozilla only for now,
// Opera ignores it - sidki
// ====================================

var PrxErrorsLeft = 15;
function PrxError(PrxMsg)
{
  if (--PrxErrorsLeft < 0) return true;
  PrxFooter("JS Error",PrxMsg);
}

// ====================================
// Alerts to Footer - sidki
// ====================================

var PrxAlertPrint;
if (PrxAlertPrint)
{
  PrxOldAlert = window.alert;
  function PrxAlertW(PrxMsg) {PrxFooter("JS Alert",PrxMsg)}
  window.alert = PrxAlertW;
}

// ====================================
// Restrict Message Boxes Part I - Paul Rupe
// ====================================

var PrxAlertRestrict;
if (PrxAlertRestrict)
{
  if (!PrxAlertPrint) PrxOldAlert = window.alert;
  PrxOldPrompt = window.prompt;
  PrxOldConfirm = window.confirm;

  // Set this flag until the very last line of this script.
  var PrxAlertsAllowed = 0;
  var PrxAlertsLeft = 10;

  // Returns true if alert/confirm/prompt have not been called a bunch of times
  // already, false if they have not. Used to stop runaway scripts abusing
  // these pop-up functions.
  function PrxCheckAlert()
  {
    if (!PrxAlertsAllowed) return false;
    if (--PrxAlertsLeft >= 0) return true;
    if (PrxOldConfirm('*** PROXOMITRON ALERT ***\r\nThis script is too busy for its own good.  Kill it?'))
    {
      PrxAlertsAllowed = 0;
      return false;
    }
    else
    {
      return true;
    }
  }
  function PrxConfirmR(m)
  {
    if (!PrxCheckAlert()) return null;
    return PrxOldConfirm(m);
  }

  function PrxPromptR(m,d)
  {
    if (!PrxCheckAlert()) return null;
    if (!d) d = '';
    return PrxOldPrompt(m,d);
  }

  window.prompt=PrxPromptR;
  window.confirm=PrxConfirmR;

  if (!PrxAlertPrint)
  {
    function PrxAlertR(m)
    {
      if (!PrxCheckAlert()) return null;
      return PrxOldAlert(m);
    }
    window.alert = PrxAlertR;
  }
}

// ====================================
// Intercept calls to *.location.replace() Part I - Paul Rupe, sidki
// ====================================

var PrxLocation;
if (PrxLocation)
{
  var PrxOldLocation = location.replace;
  function PrxGetLocation(l)
  {
    if (PrxLoading) PrxLoc = l;
    else PrxOldLocation;
    return false;
  }
  location.replace = PrxGetLocation;
}

// ====================================
// provide show/hide of span tags with specified classname or ID - sidki
// ====================================

function PrxToggle(pnam,patr,ptog)
{
 var spans = window.document.getElementsByTagName('span');
 for(var i = 0; i < spans.length; i++)
 {
  if ((patr == 'cl' && pnam == spans[i].className) || (patr == 'id' && pnam == spans[i].id))
  {
   if (spans[i].style.display != 'inline') spans[i].style.display = 'inline';
   else if (ptog == 'yes') spans[i].style.display = 'none';
   if (spans[i].style.visibility == 'hidden') spans[i].style.visibility = 'visible';
   else if (spans[i].style.visibility == 'visible') spans[i].style.visibility = 'hidden';
  }
 }
 void(null)
}

// ====================================
// Provide a clickable flyover - Dynamic Drive, sidki, Martin Konicek
// ====================================

// Pop-it menu - By Dynamic Drive
// For full source code and more DHTML scripts, visit http://www.dynamicdrive.com
// This credit MUST stay intact for use

function PrxFlShow(e,which)
{
  // Adjustable variables
  var PrxOffsetX = 0;
  var PrxOffsetY = 10;
  var PrxTDelayShow = 500;

  if (!e) var e = event;
  PrxFlObj = document.all? document.all.PrxFlyover : document.getElementById("PrxFlyover");
  PrxFlObj.innerHTML = which;

  // IE's standards-compliant mode needs another element.
  // Mozilla and Opera don't seem to care - sidki
  var PrxElement = (document.compatMode == "CSS1Compat")? document.documentElement : document.body;

  // Find out the mouse position relative to the viewport. - sidki
  var PrxX = e.pageX? e.pageX : PrxElement.scrollLeft + e.clientX;
  var PrxY = e.pageY? e.pageY : PrxElement.scrollTop + e.clientY;

  // If the mouse its too close to the viewports right or top edge
  // move the position of the flyover to the left or bottom.
  var PrxWidth = PrxFlObj.offsetWidth + PrxOffsetX;
  var PrxHeight = PrxFlObj.offsetHeight + PrxOffsetY;
  PrxX = (PrxElement.clientWidth - e.clientX < PrxWidth)? PrxX - PrxWidth : PrxX + PrxOffsetX;
  PrxY = (e.clientY < PrxHeight)? PrxY + PrxOffsetY : PrxY - PrxHeight;

  // Mozilla's standards-compliant mode needs units, Opera and IE don't care.
  // - sidki
  PrxFlObj.style.left = PrxX + "px";
  PrxFlObj.style.top = PrxY + "px";

  PrxFlClearHide();
  PrxFlHide();
  PrxDelayShow = setTimeout("PrxFlObj.style.visibility='visible'",PrxTDelayShow);
}

function PrxFlDelayHide()
{
  // Adjustable variable
  var PrxTDelayHide = 800;

  if (window.PrxDelayShow) clearTimeout(PrxDelayShow);
  PrxDelayHide = setTimeout("PrxFlHide()",PrxTDelayHide);
}

function PrxFlHide() {if (window.PrxFlObj) PrxFlObj.style.visibility="hidden";}

function PrxFlClearHide() {if (window.PrxDelayHide) clearTimeout(PrxDelayHide);}

function PrxFlDynHide(e)
{
//  if ((PrxIsIE || PrxIsOpera || PrxIsMozilla) && !PrxFlObj.contains(e.toElement))
  if (e.toElement && !PrxFlObj.contains(e.toElement))
    PrxFlHide();

  // Determines if 1 element in contained in another - Brainjar.com
//  else if (xPrxIsMozilla)
  else if (!e.toElement)
  {
    var PrxCT = e.currentTarget;
    var PrxRT = e.relatedTarget;
    if (PrxRT && PrxCT != PrxRT) 
    {
      while (PrxRT.parentNode)
        if ((PrxRT = PrxRT.parentNode) == PrxCT) return true;
        PrxFlHide();
    }
  }
}

// make an anchor with the passed information. - Martin Konicek
function PrxFlLink(name,url,target)
{
  var PrxFlContent = '<a href="' + url + '"';
  if (target) PrxFlContent += ' target="' + target + '"';
  PrxFlContent += '>' + name + '</a>';
  return PrxFlContent;
}

// document.onclick = PrxFlHide;

document.write(
  '<div id="PrxFlyover" class="ProxFlyover" ' +
  'onMouseover="PrxFlClearHide();" onMouseout="PrxFlDynHide(event);"></div>'
);

// ||||||||||||||||||||||||||||||||| PAGE END |||||||||||||||||||||||||||||||||

// ====================================
// Creates a button to call a given event handler directly if such a handler
// is defined.  Rather than disable window.onload completely, this lets you
// call it at will in case some page requires it to function. - Paul Rupe
// ====================================

function PrxEventButton(objn,propn)
{
  var fpropn = objn + '.' + propn;
  eval('var prop = ' + fpropn);
  if (prop)
  {
    eval(fpropn + 'PROX = prop');

    // Translate the property into a string for display.  Replace < > & with
    // their HTML entities.
    var c, i, t = '', s = prop.toString();
    if (s.match(/^function /))
    {
      s = s.replace(/^function +anonymous *\([^)]*\)\s *\{ */, '');
      s = s.replace(/ *\}$/, '');
    }
    s = s.replace(/^\n/, '');
    for (i = 0; c = s.charAt(i); i++)
    {
      if (c == '<') t += '&lt;';
      else if (c == '>') t += '&gt;';
      else if (c == '&') t += '&amp;';
      else if (c == '\r') t += '';
      else if (c == '\n') t += '<br>';
      else if (c == '\'') t += '\\&#39;';
      else if (c == '"') t += '&quot;';
      else t += c;
    }

    document.writeln(
      '<span class="Prox" style="display:inline"><button class="ProxButton" ' +
      'onmouseover="PrxFlShow(event,\'' + t + '\')" onMouseout="PrxFlDelayHide()" ' +
      'onclick="' + fpropn + 'PROX();">' + propn + '</button></span>'
    )
  }
}

function PrxAllEventButton()
{
  // PrxEventButton('window','onload');
  PrxEventButton('window','onunload');
  PrxEventButton('window','onbeforeunload');
  PrxEventButton('window','onbeforeprint');
  PrxEventButton('window','onafterprint');
  PrxEventButton('window','onblur');
  PrxEventButton('window','onfocus');
  PrxEventButton('window','onresize');
  PrxEventButton('window','onscroll');
}

// ====================================
// "onload" Events to Button - Paul Rupe
// ====================================

function PrxOnloadButton()
{
  PrxEventButton('window','onload');
  function PrxClearOnload(a)
  {
    if (!a) return;
    a.onload = null;
  }
  PrxClearOnload(document);
  PrxClearOnload(document.body);
  PrxClearOnload(window);
}

// ====================================
// Write the Proxomitron toolbar - sidki
// ====================================

var PrxToolbar;
if (PrxToolbar)
{
  function PrxToolsWrite(prxX)
  {
    var PrxProt = window.location.protocol + "//";
    var PrxHost = window.location.hostname;
    var PrxPQ = window.location.pathname + window.location.search;
    var quirk = document.compatMode;
    var togglestyle = (PrxIsMozilla || PrxIsIE)?" | <a id=\"PrxTools\" class=\"Prox\" href=\"javascript:var x=document.styleSheets;for(i=0;i<x.length;i++){if(x[i].disabled)x[i].disabled=0;else x[i].disabled=1}void(null)\">toggle styles</a>\r\n":"";
    var viewvars = (PrxIsMozilla || PrxIsOpera)?" | <a id=\"PrxTools\" class=\"Prox\" href=\"javascript:(function(){var i,v,st,w1=\'\',w2=\'prx_bookmarklet\',w3=\'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,left=0,top=100,width=800,height=600\',PrxLC,x=PrxLC?PrxRealOpen(w1,w2,w3):window.open(w1,w2,w3),d=x.document;d.open();function hE(s){s=s.replace(/\&/g,\'&amp;amp;\');s=s.replace(/>/g,\'&amp;gt;\');s=s.replace(/</g,\'&amp;lt;\');return s;}d.write(\'<html>\\n<head>\\n<title>All JS Variables</title>\\n<style>\\ntd{vertical-align:top;white-space:pre}table,td,th{border:1px solid #ccc}div.er{color:red}\\n</style>\\n</head>\\n<body>\\n<table border=1>\\n<thead><tr><th>Variable</th><th>Type</th><th>Value as string</th></tr></thead>\\n\');for(i in window){if(!(i in x)){v=window[i];d.write(\'<tr><td>\'+hE(i)+\'</td><td>\'+hE(typeof(window[i]))+\'</td><td>\');if(v===null)d.write(\'null\');else if (v===undefined)d.write(\'undefined\');else try{st=v.toString();if(st.length)d.write(hE(v.toString()));else d.write(\'\')}catch(er){d.write(\'<div class=er>\'+hE(er.toString())+\'</div>\\n\')};d.write(\'</pre></td></tr>\\n\');}}d.write(\'</table>\\n</body>\\n</html>\\n\');d.close();})()\">js vars</a>\r\n":"";

    if (PrxIsMozilla || PrxIsIE)
    {
      for(var i = 0; i < document.styleSheets.length; i++)
      {
        var s = document.styleSheets[i];
        var tt = s.title;
        if(tt != '' && tt != undefined) {var st = 1}
      }
    }
    var selectstyle = st?"<span id=\"PrxOlive\" class=\"Prox\" style=\"display:inline\">&#8593;<a id=\"PrxOlive\" class=\"Prox\" href=\"javascript:var sheets=\',\',options=\'<OPTION selected>document default\';for(i=0;i<document.styleSheets.length;i++){var s=document.styleSheets[i];var tt=s.title;if(tt != \'\' && tt != undefined){if(sheets.indexOf(\',\'+tt+\',\')==-1) {sheets += tt+\',\';options += \'<OPTION>\'+tt;}}}var ds=\'<HTML><HEAD><TITLE>Select Style Sheet</TITLE><STYLE>SELECT{width:170px} BODY{margin:0}</STYLE><SCRIPT>function choosess(tt){var d=window.opener.document;for(i=0;i<d.styleSheets.length;i++){var s=d.styleSheets[i];var ti=s.title;if(ti!=&quot;&quot; && ti!=undefined && ti!=tt)s.disabled=true;else s.disabled=false;}}</SCRIPT></HEAD><BODY><CENTER>\';ds += \'<BR><SELECT ID=S1 SIZE=5 ONKEYPRESS=&quot;var k=event.keyCode;if(k==13 || k==3 || k==27){window.close()}&quot; ONCHANGE=&quot;if(this.selectedIndex!=-1)choosess(this.options[this.selectedIndex].text);&quot;>\'+options+\'</SELECT><BR>\';ds+= \'</CENTER>\';var w=window.open(\'about:blank\',\'prx_bookmarklet\',\'height=120,width=190\');w.document.write(ds);w.document.close();w.focus();w.document.getElementById(\'S1\').focus();void(null);\">styles</a></span>\r\n":"";

    document.write(
      '<span id="PrxTSpace" class="ProxT" style="display:none">' +
      '<div class="ProxDiv">\r\n&nbsp;' +
      '<a id="PrxTools" class="Prox" href="javascript:PrxToggle(\'ProxT\',\'cl\',\'yes\')" target="_self">more</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" href="javascript:PrxToggle(\'Prox\',\'cl\',\'yes\')" target="_self">toggle kills</a>\r\n' +
      togglestyle +
      ' | <a id="PrxTools" class="Prox" href="javascript:for(i=0;i<100;i++){window.clearInterval(i);window.clearTimeout(i)}">kill timers</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="' + PrxProt + PrxHost + '\" >domain</a>' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="javascript:if(location.pathname ==\'/\');else if(location.pathname.charAt(location.pathname.length-1)==\'/\')location=\'..\';else location=\'.\';void 0">up</a>' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="' + PrxProt + prxX + 'src..' + PrxHost + PrxPQ + '">src</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="' + PrxProt + prxX + 'src..bweb..' + PrxHost + PrxPQ + '">src-bweb</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="' + PrxProt + prxX + 'dbug..' + PrxHost + PrxPQ + '">dbug</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="javascript:(function(){function htmlEscape(s){s=s.replace(/&/g,\'&amp;amp;\');s=s.replace(/>/g,\'&amp;gt;\\n\');s=s.replace(/</g,\'&amp;lt;\');return s;}var x=window.open(\'\',\'prx_bookmarklet\',\'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,left=0,top=100,width=800,height=600\');x.document.write(\'<title>Dynamic Source</title><pre>\'+htmlEscape(\'<html>\'+document.documentElement.innerHTML+\'</html>\'));x.document.close();})()">dyn src</a>' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="' + PrxProt + prxX + 'bweb..' + PrxHost + PrxPQ + '">bweb</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" href="javascript:function PrxDocProps(){var a=\'\';a+=\'Window name: \'+window.name+\'\\n\';a+=\'Last modified: \'+document.lastModified +\'\\n\';a+=\'Number of images: \'+document.images.length+\'\\n\';a+=\'Number of links: \'+document.links.length+\'\\n\';a+=\'Number of forms: \'+document.forms.length+\'\\n\';a+=\'Number of embedded objects: \'+document.embeds.length+\'\\n\';prxz=PrxAlertPrint?PrxOldAlert:alert;prxz(a)};PrxDocProps()">doc props</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" href="javascript:(function(){var a={},aa={},b=[],bb=[],i,ii,e,ee,c,cc,k,d,x,s=\'<html>\n<head>\n<title>All Classes and IDs</title>\n</head>\n<body>\n<table border=1 align=left>\n<thead><tr><th>#</th><th>Tag</th><th>className</th></tr></thead>\n\';for(i=0;e=document.getElementsByTagName(\'*\')[i];++i)if(c=e.className){k=e.tagName+\'.\'+c;a[k]=a[k]?a[k]+1:1;}for(k in a)b.push([k,a[k]]);b.sort();for(i in b) s+=\'<tr><td>\'+b[i][1]+\'</td><td>\'+b[i][0].split(\'.\').join(\'</td><td>\')+\'</td></tr>\n\';s+=\'</table>\n\';s+=\'<table border=1 align=left style=margin-left:8px>\n<thead><tr><th>#</th><th>Tag</th><th>ID</th></tr></thead>\n\';for(ii=0;ee=document.getElementsByTagName(\'*\')[ii];++ii)if(cc=ee.id){k=ee.tagName+\'.\'+cc;aa[k]=aa[k]?aa[k]+1:1;}for(k in aa)bb.push([k,aa[k]]);bb.sort();for(ii in bb)s+=\'<tr><td>\'+bb[ii][1]+\'</td><td>\'+bb[ii][0].split(\'.\').join(\'</td><td>\')+\'</td></tr>\n\';s+=\'</table>\n</body>\n</html>\n\';var w1=\'\',w2=\'prx_bookmarklet\',w3=\'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,left=0,top=150,width=600,height=600\',PrxLC,x=PrxLC?PrxRealOpen(w1,w2,w3):window.open(w1,w2,w3),d=x.document;d.write(s);d.close();})()">classes ids</a>\r\n' +
      viewvars +
      '</div></span>\r\n' +
      '' +
      '<span id="PrxCrimson" class="ProxT" style="display:none">' +
      '<div class="ProxDiv">\r\n&nbsp;' +
      '<a id="PrxTools" class="Prox" href="javascript:PrxToggle(\'ProxT\',\'cl\',\'yes\')" target="_self">more</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" title="to English from: de es fr it pt" href="http://translate.google.com/translate_c?u=' + escape(window.location.href) + '">translate</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="http://uptime.netcraft.com/up/graph/?host=' + PrxHost + '">netcraft</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="http://www.samspade.org/t/lookat?a=' + PrxHost + '">samspade</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="http://www.all-nettools.com/cgi-bin/sw.cgi?&\'' + PrxHost + '">nettools</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="http://www.geobytes.com/iplocator.htm?getlocation&ipaddress=' + PrxHost + '">geobytes</a>\r\n' +
      ' | <a id="PrxTools" class="Prox" target="_top" href="' + PrxProt + PrxHost + '/robots.txt">robots?</a>\r\n' +
      '</div></span>\r\n' +
      '' +
      '<span id="PrxTSpace" class="Prox" style="display:inline">' +
      '<div style="visibility:hidden">&nbsp;</div></span>\r\n' +
      '' +
      '<div class="ProxDiv">\r\n' +
      '<span id="PrxTools" class="Prox" style="display:inline">\r\n' +
      '&#8593;<a id="PrxTools" class="Prox" href="javascript:PrxToggle(\'PrxTSpace\',\'id\',\'yes\')" target="_self" title="' + quirk + '">tools</a>\r\n' +
      '</span>\r\n' +
      selectstyle
    )
  }
}

// ====================================
// Last chance to write to the page - sidki
// ====================================

var PrxLoc, PrxButtons;
function PrxWrite(tag,onload)
{
  // Open the DIV block if not already done so.
  if (!tag)
    document.write(
      '<DIV class="ProxDiv">\r\n'
    );

  // Intercept calls to *.location.replace() Part II - Paul Rupe, sidki
  if (PrxLoc)
    document.write(
      '<span id="PrxRedir" class="Prox" style="display:inline">' +
      '&#8593;<a id="PrxRedir" class="Prox" href="' + PrxLoc +
      ' " target=_top>tame redirect</a></span>\r\n'
    );

  document.write('</DIV>\r\n')

  // Create a button if specific onload events were found - sidki
  if (onload) PrxOnloadButton();
  if (PrxButtons) PrxAllEventButton();
}

// ====================================
// Run this function at the very last - ...
// ====================================

var PrxAltTitle, PrxTarget, PrxFramed, PrxEvents;
function PrxLastCall()
{
  // Images: Dupe ALT text to the title, so Opera and Mozilla show it as
  // tooltip - Homeric
  if (PrxAltTitle && (PrxIsOpera || PrxIsMozilla))
  {
    var i, f;
    for (i = 0; i < document.images.length; i++)
    {
      f = document.images[i];
      if (!f.title && f.alt)
        f.title = 'Alt: ' + f.alt;
    }
  }

  if (PrxTarget || PrxFramed)
  {
    // Open offsite links within frames in the top window I - sidki
    if (PrxFramed)
    {
      try
      {
        var PrxURL = this.location.href;
        PrxFramed = (top.location.href != PrxURL)?PrxGetDomain(PrxURL):"";
      }
      catch(er)
      {
        PrxFramed = PrxGetDomain(PrxURL);
      }
    }

    var i, f;
    for (i = 0; i < document.links.length; i++)
    {
      // Links: Remove targets that refer to non-existing windows - Paul Rupe
      f = document.links[i];
      if (PrxTarget && !f.onclick && !PrxCheckLinkTarget(f.target))
        f.removeAttribute("target");

      // Open offsite links within frames in the top window II - sidki
      if (PrxFramed && !f.target && f.href.indexOf('://') != -1 && PrxFramed != PrxGetDomain(f.href))
        f.target = '_top';
    }
  }

  // Set some of an object's event handlers to null - Paul Rupe
  if (PrxEvents)
  {
    function PrxClearEvent(a)
    {
      if (!a) return;
      a.onmousedown		= null;
      a.onmouseenter		= null;
      a.onmouseleave		= null;
      a.onmouseout		= null;
      a.onmouseup		= null;
      a.onmousewheel		= null;

      a.onbeforeunload		= null;
      a.onunload		= null;

      a.onbeforeprint		= null;
      a.onafterprint		= null;

      a.onblur			= null;
      a.onfocus			= null;
      a.onfocusout		= null;

      a.onkeydown		= null;
      a.onkeypress		= null;
      a.onkeyup			= null;

      a.oncontextmenu		= null;
      a.ondeactivate		= null;
      a.onhelp			= null;
      a.onlosecapture		= null;
      a.onpropertychange	= null;
      a.onresize		= null;
      a.onscroll		= null;
      a.onselect		= null;
      a.onselectstart		= null;
    }

    PrxClearEvent(document);
    PrxClearEvent(document.body);
    PrxClearEvent(window);
  }

  // Anti-Popup Code Part II - Scott R. Lemmon
  if (PrxPopup) PrxRST();

  // Page Load Timer Part II - hpguru
  if (PrxTimer) {document.onload = document.onload; PrxEndT()}

  // Restrict Message Boxes Part II - Paul Rupe
  if (PrxAlertPrint || PrxAlertRestrict) PrxAlertsAllowed = 1;

  // All done - Paul Rupe
  PrxLoading = 0;
}
